<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>Wizard Wizard: Wizard Type</title>
    <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
    <h2>Wizard Wizard: Wizard Type</h2>
    <p> <small><a href="#seealso">See Also</a>&nbsp; </small> 

    <p>The New Wizard wizard creates a new <a href="../create_plugin/filelevel_create/about_wizards.html">Wizard</a>.
    You open the New Wizard wizard by right-clicking a module project, choosing New &gt; Other and selecting Wizard 
    from the Module Development category.
    <p>In the Wizard Type page, you have to set the following: 
    <ul>
        <li><b>Registration Type.</b> Specifies where the user will be able to
        find the wizard in the IDE. See <a href="../create_plugin/filelevel_create/about_wizards.html">About Wizards</a> for details.
        <li><b>Wizard Step Sequence.</b> Specifies whether the Wizard wizard
        will create an implementation of this NetBeans API class: <object CLASSID="java:org.netbeans.modules.javahelp.BrowserDisplayer">
            <param name="content" value="http://bits.netbeans.org/dev/javadoc/org-openide-dialogs/org/openide/WizardDescriptor.Iterator.html">
            <param name="text" value="<html><u>WizardDescriptor.Iterator</u></html>">
            <param name="textFontSize" value="medium">
            <param name="textColor" value="blue">
        </object>

        <p>If you choose Static, an implementation of this NetBeans API class will not be created.
        The default progression from panel to panel will then be supported by your wizard,
        sequential progression
        without divergences or reversals.
        <p>If you choose
        Dynamic, the Wizard wizard will create an implementation of the WizardDescriptor.Iterator class. This class
        guides progress from one panel
        to the next. The developer has a lot more freedom in coding the
        wizard, but has a more complex task since there are many more
        possibilities to consider. When you choose "Static", you can also
        extend the wizard to provide support for panel skipping and reversals, but the
        "Dynamic" type was made for this purpose. For example, the Add Server
        Instance wizard offers different panels depending on the type
        of server that the user wants to register.

        <li><b>Number of Wizard Panels.</b> For each panel, the IDE creates
        two files&#8212;a visual panel (called <tt>xxxVisualPanel.java</tt>) and a wizard panel
        (called <tt>xxxWizardPanel</tt>) for retrieving the current values from the visual panel.
         Only if you enter an integer greater than 0, will you be able to progress to the
          next panel in the Wizard wizard.
    </ul>



    <dl>
        <dt><a name="seealso">See Also</a></dt>
        <dd>  <a href="../about/nbmodule-about.html">About NetBeans Platform and Module Development</a></dd>
        <dd><a href="../about/about-netbeans-platform.html">About the NetBeans Platform</a></dd>
    </dl> 
    <hr>
    <small><a href="../credits.html">Legal Notices</a></small> 
    <table cellpadding="20" border="0"> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
    </table> 
</body></html>
